Package com.independentsoft.office.spreadsheet.revisions

# Class RevisionCellComment

java.lang.Object
com.independentsoft.office.spreadsheet.revisions.RevisionCellComment

public class RevisionCellComment extends Object
The Class RevisionCellComment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevisionCellComment()`
  Instantiates a new revision cell comment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RevisionCellComment`
  `clone()`
  `RevisionAction`
  `getAction()`
  Gets the action.
  `String`
  `getAuthor()`
  Gets the author.
  `String`
  `getCell()`
  Gets the cell.
  `String`
  `getGuid()`
  Gets the guid.
  `int`
  `getNewCommentLength()`
  Gets the new comment length.
  `int`
  `getOriginalCommentLength()`
  Gets the original comment length.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `boolean`
  `isAlwaysShowComment()`
  Checks if is always show comment.
  `boolean`
  `isHiddenColumn()`
  Checks if is hidden column.
  `boolean`
  `isHiddenRow()`
  Checks if is hidden row.
  `boolean`
  `isOldComment()`
  Checks if is old comment.
  `void`
  `setAction​(RevisionAction action)`
  Sets the action.
  `void`
  `setAlwaysShowComment​(boolean alwaysShowComment)`
  Sets the always show comment.
  `void`
  `setAuthor​(String author)`
  Sets the author.
  `void`
  `setCell​(String cell)`
  Sets the cell.
  `void`
  `setGuid​(String guid)`
  Sets the guid.
  `void`
  `setHiddenColumn​(boolean isHiddenColumn)`
  Sets the hidden column.
  `void`
  `setHiddenRow​(boolean isHiddenRow)`
  Sets the hidden row.
  `void`
  `setNewCommentLength​(int newCommentLength)`
  Sets the new comment length.
  `void`
  `setOldComment​(boolean isOldComment)`
  Sets the old comment.
  `void`
  `setOriginalCommentLength​(int originalCommentLength)`
  Sets the original comment length.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RevisionCellComment

    public RevisionCellComment()
    Instantiates a new revision cell comment.

- ## Method Details

  - ### clone

    public RevisionCellComment clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAction

    public RevisionAction getAction()
    Gets the action.
    Returns:
      the action

  - ### setAction

    public void setAction​(RevisionAction action)
    Sets the action.
    Parameters:
      `action` - the new action

  - ### isAlwaysShowComment

    public boolean isAlwaysShowComment()
    Checks if is always show comment.
    Returns:
      true, if is always show comment

  - ### setAlwaysShowComment

    public void setAlwaysShowComment​(boolean alwaysShowComment)
    Sets the always show comment.
    Parameters:
      `alwaysShowComment` - the new always show comment

  - ### getAuthor

    public String getAuthor()
    Gets the author.
    Returns:
      the author

  - ### setAuthor

    public void setAuthor​(String author)
    Sets the author.
    Parameters:
      `author` - the new author

  - ### getCell

    public String getCell()
    Gets the cell.
    Returns:
      the cell

  - ### setCell

    public void setCell​(String cell)
    Sets the cell.
    Parameters:
      `cell` - the new cell

  - ### getGuid

    public String getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### setGuid

    public void setGuid​(String guid)
    Sets the guid.
    Parameters:
      `guid` - the new guid

  - ### isHiddenColumn

    public boolean isHiddenColumn()
    Checks if is hidden column.
    Returns:
      true, if is hidden column

  - ### setHiddenColumn

    public void setHiddenColumn​(boolean isHiddenColumn)
    Sets the hidden column.
    Parameters:
      `isHiddenColumn` - the new hidden column

  - ### isHiddenRow

    public boolean isHiddenRow()
    Checks if is hidden row.
    Returns:
      true, if is hidden row

  - ### setHiddenRow

    public void setHiddenRow​(boolean isHiddenRow)
    Sets the hidden row.
    Parameters:
      `isHiddenRow` - the new hidden row

  - ### getNewCommentLength

    public int getNewCommentLength()
    Gets the new comment length.
    Returns:
      the new comment length

  - ### setNewCommentLength

    public void setNewCommentLength​(int newCommentLength)
    Sets the new comment length.
    Parameters:
      `newCommentLength` - the new new comment length

  - ### isOldComment

    public boolean isOldComment()
    Checks if is old comment.
    Returns:
      true, if is old comment

  - ### setOldComment

    public void setOldComment​(boolean isOldComment)
    Sets the old comment.
    Parameters:
      `isOldComment` - the new old comment

  - ### getOriginalCommentLength

    public int getOriginalCommentLength()
    Gets the original comment length.
    Returns:
      the original comment length

  - ### setOriginalCommentLength

    public void setOriginalCommentLength​(int originalCommentLength)
    Sets the original comment length.
    Parameters:
      `originalCommentLength` - the new original comment length

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id